Bug 1472307 - (6.4.z) Get rid of MessagingSubsystem14TestCase test failures caused by changing defaults while upgrading HornetQ
(6.4.z) Get rid of MessagingSubsystem14TestCase test failures caused by chang...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.4.17
Unspecified Unspecified
unspecified Severity unspecified
: CR2
: EAP 6.4.17
Assigned To: Fedor Gavrilov
Peter Mackay
:
Depends On:
Blocks: eap6417-payload
  Show dependency treegraph
 
Reported: 2017-07-18 08:29 EDT by Fedor Gavrilov
Modified: 2017-09-06 09:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-06 09:37:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fedor Gavrilov 2017-07-18 08:29:34 EDT
Description of problem:
org.jboss.as.messaging.test.MessagingSubsystem14TestCase.testTransformersEAP600: "1048576"
"10485760"
----- expected:<1048576[]> but was:<1048576[0]>
	at org.jboss.as.model.test.ModelTestUtils.compare(ModelTestUtils.java:375)
	at org.jboss.as.model.test.ModelTestUtils.compare(ModelTestUtils.java:349)
	at org.jboss.as.model.test.ModelTestUtils.compare(ModelTestUtils.java:349)
	at org.jboss.as.model.test.ModelTestUtils.compare(ModelTestUtils.java:349)
	at org.jboss.as.model.test.ModelTestUtils.compare(ModelTestUtils.java:349)
	at org.jboss.as.model.test.ModelTestUtils.compare(ModelTestUtils.java:349)
	at org.jboss.as.model.test.ModelTestUtils.compare(ModelTestUtils.java:206)
	at org.jboss.as.subsystem.test.SubsystemTestDelegate.checkSubsystemModelTransformation(SubsystemTestDelegate.java:500)
	at org.jboss.as.subsystem.test.AbstractSubsystemTest.checkSubsystemModelTransformation(AbstractSubsystemTest.java:277)
	at org.jboss.as.subsystem.test.AbstractSubsystemTest.checkSubsystemModelTransformation(AbstractSubsystemTest.java:264)
	at org.jboss.as.messaging.test.MessagingSubsystem14TestCase.testTransformers(MessagingSubsystem14TestCase.java:416)
	at org.jboss.as.messaging.test.MessagingSubsystem14TestCase.testTransformersEAP600(MessagingSubsystem14TestCase.java:129)

similar happens to testTransformersEAP601, testTransformersEAP610, testTransformersEAP611

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Peter Mackay 2017-08-25 10:23:14 EDT
Verified with EAP 6.4.17.CP.CR4
Comment 3 Petr Penicka 2017-09-06 09:37:34 EDT
Released on 2017-09-05 as part of the EAP 6.4.17 release.

Note You need to log in before you can comment on or make changes to this bug.